Skip to main content

Update an existing SegmentationRuleConditionTemplate

PUT 

/qsystem/rest/config/operationProfiles/serviceGroups/segmentationRuleConditionTemplates/:segmentationRuleConditionTemplateId

Update an existing SegmentationRuleConditionTemplate. Update of SegmentationRuleConditionTemplate that are used in a segmentation is only allowed when

  • the conditionClass is com.qmatic.qp.jiql.core.cfm.segmentationRules.VisitParameterEvaluator AND
  • the description contains a MultiSelect or OneSelect on a visit parameter

It is not possible to update other types of SegmentationRuleConditionTemplate that are used in a segmentation

curl -i -u user:password -X PUT -H 'content-type:application/json'
-d '{"id":66, "description": "Where the language code in the visit is set to ${lang:MultiSelect[se_SV, en_US, de_DE, it_IT, nl_NL, en_GB, es_ES, fr_FR]}.", "conditionClass": "com.qmatic.qp.jiql.core.cfm.segmentationRules.VisitParameterEvaluator"}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/serviceGroups/segmentationRuleConditionTemplates/66

Request​

Responses​

A SegmentationRuleConditionTemplate with the updated segmentation rule template